Results 1 to 5 of 5
  1. Thread Author  Thread Author    #1  

    Default Google+ update "Your device isn't compatible with this version.

    I got the update notice in Google Play for the new Google+ released today (May 20). It has a notice at the top that "Your device isn't compatible with this version". What gives?
  2. #2  
    Kevin O'Quinn's Avatar
    AC Team Emeritus

    Posts
    8,745 Posts
    Global Posts
    8,922 Global Posts
    ROM
    Stock

    Default Re: Google+ update "Your device isn't compatible with this version.

    Yeah, it seems to be an issue for anything running ICS or JB. I'm sure Google is aware and will fix it.

    Posted via Android Central App
    Kevin F.I.M.T.K. O'Quinn Esq.
  3. #3  

    Default Re: Google+ update "Your device isn't compatible with this version.

    I just downloaded the latest version and it's working fine so either they fixed it already or it's only certain flavors of the One that have the problem.

    Sent from my HTC One using Android Central Forums
    Regard all phenomena as dreams...
  4. #4  
    bigrey81's Avatar

    Posts
    187 Posts
    ROM
    4.1.2 and 4.2 stock

    Default Re: Google+ update "Your device isn't compatible with this version.

    Quote Originally Posted by scottdeto View Post
    I got the update notice in Google Play for the new Google+ released today (May 20). It has a notice at the top that "Your device isn't compatible with this version". What gives?
    Mine updated just fine

    Posted via Android Central App
  5. #5  

    Default Re: Google+ update "Your device isn't compatible with this version.

    Quote Originally Posted by bigrey81 View Post
    Mine updated just fine

    Posted via Android Central App

Similar Threads

  1. Your device isn't compatible with this version
    By RobinCris in forum General Help and How To
    Replies: 21
    Last Post: 09-15-2013, 11:53 PM
  2. Now Getting "your device isn't compatible with this version"
    By gaznjax in forum Google Nexus 7 Tablet (2012)
    Replies: 4
    Last Post: 11-27-2012, 06:40 AM
  3. Is there any way to fix "your device isn't compatible with this v
    By jimmiegeddes in forum Verizon Galaxy Nexus Rooting, ROMs, and Hacks
    Replies: 2
    Last Post: 03-24-2012, 10:24 PM
  4. Any way to fix "your device isn't compatible with this version"?
    By jimmiegeddes in forum Verizon Galaxy Nexus
    Replies: 3
    Last Post: 03-24-2012, 12:01 PM
  5. Rooted Nook Color your device isn't compatible with this item
    By melanie_mg in forum Barnes & Noble Nook Color
    Replies: 3
    Last Post: 03-21-2012, 11:11 AM

Posting Permissions

B